
Partial Class Random_text_numbers
    Inherits System.Web.UI.Page

    Protected Sub btnRandomNumber_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnRandomNumber.Click

        ' We first declare the variable Rand as a new Random object
        Dim Rand As New Random()

        ' We declare two variables as Int32 numbers to store minimum and maximum values.
        Dim MinNumber As Int32
        Dim MaxNumber As Int32

        ' We try to convert the text in the textbox "txtMin" to a Int32 with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "MinNumber" variable. If the conversion not is
        ' a success the "MinNumber" variable gets 0 as the value.
        Int32.TryParse(txtMin.Text, MinNumber)

        ' We try to convert the text in the textbox "txtMax" to a Int32 with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "MaxNumber" variable. If the conversion not is
        ' a success the "MaxNumber" variable gets 0 as the value.
        Int32.TryParse(txtMax.Text, MaxNumber)

        ' We check to see if the maximum number is greater then the minimum number, if thats not the case we
        ' give the user an error message in the "lbRandom" label.
        If MaxNumber > MinNumber Then

            ' We generate a random number that is equal to or greater than the minimum value and equal to or smaller than the maximum value, 
            ' the random number are published in the "lbRandom" label.
            lbRandom.Text = Convert.ToString(Rand.Next(MinNumber, MaxNumber))

        Else
            lbRandom.Text = "The minimum value is greater than or equal to the maximum value, the minimum" & _
            " value has to be smaller than the maximum value. Please try again."
        End If

    End Sub

    Protected Sub btnRandomLetters_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnRandomLetters.Click

        ' This code will create a random string with 10 characters. We first declare an array of possible characters,
        ' the length of the string, LetterString as a string and rand as new random object.
        Dim arrPossibleChars As Char() = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ".ToCharArray()
        Dim intLength As Integer = 9
        Dim LetterString As String = Nothing

        Dim rand As New Random()

        ' We iterate from the first letter as 0 to the the last letter according to the length and add one character
        ' to the letter string for each iteration.
        Dim i As Integer = 0
        For i = 0 To intLength
            Dim intRandom As Integer = rand.Next(arrPossibleChars.Length)
            LetterString = LetterString & arrPossibleChars(intRandom).ToString()
        Next

        ' We present the resulting string of letters in the "lbRandomLetters" label.
        lbRandomLetters.Text = LetterString

    End Sub

    Protected Sub btnRandomWord_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnRandomWord.Click

        ' We create an array with 10 words from 0 to 9.
        Dim Words(9) As String
        Words(0) = "Tree"
        Words(1) = "Pants"
        Words(2) = "Car"
        Words(3) = "Sun"
        Words(4) = "Moon"
        Words(5) = "Desk"
        Words(6) = "Rest"
        Words(7) = "Market"
        Words(8) = "Fun"
        Words(9) = "Window"

        ' We declare the variable Rand as a new Random object
        Dim Rand As New Random()

        ' Find a word at random in the Words array and present the result in the "lbRandomWord" label.
        lbRandomWord.Text = Words(Rand.Next(0, 9))

    End Sub
End Class
