using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Random_text_numbers : System.Web.UI.Page
{

    protected void btnRandomNumber_Click(object sender, EventArgs e)
    {

        // We first declare the variable RandomNumber as a new Random object.
        Random RandomNumber = new Random();

        // We declare two variables as Int32 numbers to store minimum and maximum values.
        Int32 MinNumber = default(Int32);
        Int32 MaxNumber = default(Int32);

        // We try to convert the text in the textbox "txtMin" to a Int32 with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "MinNumber" variable. If the conversion not is
        // a success the "MinNumber" variable gets 0 as the value.
        Int32.TryParse(txtMin.Text, out MinNumber);

        // We try to convert the text in the textbox "txtMax" to a Int32 with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "MaxNumber" variable. If the conversion not is
        // a success the "MaxNumber" variable gets 0 as the value.
        Int32.TryParse(txtMax.Text, out MaxNumber);

        // We check to see if the maximum number is greater then the minimum number, if thats not the case we
        // give the user an error message in the "lbRandom" label.
        if (MaxNumber > MinNumber)
        {
            // We generate a random number that is equal to or greater than the minimum value and equal to or smaller than the maximum value, 
            // the random number are published in the "lbRandom" label.
            lbRandom.Text = Convert.ToString(RandomNumber.Next(MinNumber, MaxNumber));

        }
        else
        {
            lbRandom.Text = "The minimum value is greater than or equal to the maximum value, the minimum" 
            + " value has to be smaller than the maximum value. Please try again.";
        }

    }

    protected void btnRandomLetters_Click(object sender, EventArgs e)
    {
        // This code will create a random string with 10 characters. We first declare an array of possible characters,
        // the length of the string, LetterString as a string and rand as new random object.
        char[] arrPossibleChars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ".ToCharArray();
        int intLength = 9;
        string LetterString = string.Empty;
        
        Random rand = new Random();

        // We iterate from the first letter as 0 to the the last letter according to the length and add one character
        // to the letter string for each iteration.
        for (int i = 0; i <= intLength; i++)
        {
            int intRandom = rand.Next(arrPossibleChars.Length);
            LetterString = LetterString + arrPossibleChars[intRandom].ToString();
        }

        // We present the resulting string of letters in the "lbRandomLetters" label.
        lbRandomLetters.Text = LetterString;
    }

    protected void btnRandomWord_Click(object sender, EventArgs e)
    {

        // We create an array with 10 words from 0 to 9.
        string[] Words = new string[10];
        Words[0] = "Tree";
        Words[1] = "Pants";
        Words[2] = "Car";
        Words[3] = "Sun";
        Words[4] = "Moon";
        Words[5] = "Desk";
        Words[6] = "Rest";
        Words[7] = "Market";
        Words[8] = "Fun";
        Words[9] = "Window";

        // We declare the variable Rand as a new Random object
        Random Rand = new Random();

        // Find a word at random in the Words array and present the result in the "lbRandomWord" label.
        lbRandomWord.Text = Words[Rand.Next(0, 9)];

    }
}
